[2.0.8] Faq Editor

The cleanup is complete. This forum is now read only.

Rating:

Excellent!
66
80%
Very Good
10
12%
Good
2
2%
Fair
1
1%
Poor
4
5%
 
Total votes: 83

Selven
Registered User
Posts: 291
Joined: Fri Nov 08, 2002 7:28 am

Post by Selven »

hve you some type of file permission restrictions on your host? check this ;P
No-more supporting phpBB
PokeSensei
Registered User
Posts: 5
Joined: Sun Oct 30, 2005 10:33 pm
Location: King, North Carolina, United States of America
Contact:

Post by PokeSensei »

* POST DELETED BY POSTER *
Aliusmodi
Registered User
Posts: 6
Joined: Tue Nov 01, 2005 4:23 am

Post by Aliusmodi »

I've seen this problem come up several times, and the only attempted response was "You forgot to upload a tpl file". Well, I didn't. I checked the permissions (even got overly liberal) and I still get the same error:

Code: Select all

Template->make_filename(): Error - file does not exist
I tried uploading to every language directory.
I've tried deleting all of the extraneous language directories.
I've set the permissions on all of the appropriate files.
I've double-checked the modifications to the existing language files.

Since it's not giving me any indication of what file it's attempting to create or modify, I'm kind of at a loss to even figure out where to start. Has anyone come up with a solid solution to this yet?

Thanks.
Selven
Registered User
Posts: 291
Joined: Fri Nov 08, 2002 7:28 am

Post by Selven »

check the existance of all tpl files of the mod in all your template folder (subsilver etc)
Last edited by Selven on Wed Nov 02, 2005 7:15 am, edited 2 times in total.
No-more supporting phpBB
PokeSensei
Registered User
Posts: 5
Joined: Sun Oct 30, 2005 10:33 pm
Location: King, North Carolina, United States of America
Contact:

Post by PokeSensei »

Aliusmodi wrote: I've seen this problem come up several times, and the only attempted response was "You forgot to upload a tpl file". Well, I didn't. I checked the permissions (even got overly liberal) and I still get the same error:

Code: Select all

Template->make_filename(): Error - file does not exist
I tried uploading to every language directory.
I've tried deleting all of the extraneous language directories.
I've set the permissions on all of the appropriate files.
I've double-checked the modifications to the existing language files.

Since it's not giving me any indication of what file it's attempting to create or modify, I'm kind of at a loss to even figure out where to start. Has anyone come up with a solid solution to this yet?

Thanks.


I've had that error before, but it only appeared on a secondary template when trying to access EasyMOD. Replace the MOD with your backups, and then try again is all I can say. If that dosnt work, try using Subsilver instead of the template you're using when you get the error.
rawtoxic
Registered User
Posts: 54
Joined: Sat Mar 19, 2005 2:36 am
Location: US
Contact:

Post by rawtoxic »

Has anyone been able to edit the admin_faqeditor.php to make it work with Moderator Control Panel? I've tried but i'm having issues. Here is a link to the mod. In the contrib section, there is a file about adding modules to it.

http://www.phpbb.com/phpBB/viewtopic.php?t=224249
rawtoxic
Registered User
Posts: 54
Joined: Sat Mar 19, 2005 2:36 am
Location: US
Contact:

Post by rawtoxic »

I have resolved the problem with the help of kooky that is doing support for the Moderator Control Panel here on the phpbb boards. If you are trying to add this mod (Faq Editor) with the Moderator Control panel as an additional module, you will need to modify the version of the admin_faqeditor.php that you put into the modcp/ folder. I spent many hours trying to get this mod to work with Moderator Control Panel and had many problems trying to get the enable/disable switches to work and allow the moderators to use the different features of the mod without getting permission errors.

However, I did finally get it to work. If anyone else is having problems with this, use the file I already modified. I do not use the attachment mod or the prillian mod so I was unable to test if the modified file works with those two, but I modifed the file the same as I did for the two modules I do have, so they should work fine. Here is the link. :mrgreen:

Note: This version of the admin_faqeditor.php should only be used with ModeratorControlPanel v 1.1.0 by kooky. It also should only be placed in the modcp/ folder in the phpbb root directory. DO NOT PLACE THIS FILE IN THE ADMIN FOLDER!

---/> Pastebin.com Code View </---

---/> Direct File Download </---

I dunno what happened ot the previous post I made on pastebin.com. It must have got time warped for some reason or the server restored from backup? If the pastebin link doesn't work. Download it directly off my webserver.
Last edited by rawtoxic on Wed Nov 09, 2005 11:34 pm, edited 3 times in total.
Selven
Registered User
Posts: 291
Joined: Fri Nov 08, 2002 7:28 am

Post by Selven »

wich type of modific have you done to file? (no time to check myself)
No-more supporting phpBB
rawtoxic
Registered User
Posts: 54
Joined: Sat Mar 19, 2005 2:36 am
Location: US
Contact:

Post by rawtoxic »

To make it work with the mod control panel mod, you only edit the copy of the file that moderators have access to. These files are stored in a different directory than admin. You have to change the footer on the bottom to make it show a moderator only footer. YOu also have to add some permission switches that allow you to enable/disable access to the mod in the moderator control panel. If you want me to draw up a mod for the changes to include in your mod. I'd be happy too. Just let me know.

Your mod is pretty cool. I installed another mod to it so I could have multiple faq pages with a link bar at the top of the FAQ to switch back and forth between them. I was able to incorporate the new pages into your mod and the mod control panel so all staff could edit those aswell.. All in all, it was really simple to do. This is a great mod thats simple to make custom edits to for your own purposes. Keep up the good work.
rawtoxic
Registered User
Posts: 54
Joined: Sat Mar 19, 2005 2:36 am
Location: US
Contact:

Post by rawtoxic »

I just noticed that my above link to pastebin got wiped out for some reason..... The file i'm using now is way modified.. There are about 6 more faq pages that have been incorporated into it. I'll edit a new file and post it back up as a direct file download rather than using pastebin.com.
Mut
Registered User
Posts: 150
Joined: Fri Oct 21, 2005 9:09 am
Contact:

Post by Mut »

Is this MOD okay to install on a version 2.0.17?
http://www.rolleyes.net/forums - A site for general discussion, anime, game, tv, movies, fun articles, and more. Come by and become a member.
Selven
Registered User
Posts: 291
Joined: Fri Nov 08, 2002 7:28 am

Post by Selven »

this mod is checked and woking with phpbb from version 2.0.4 to 2.0.18 it works with 2.0.17 hmw is better for you to upgrade your board to 2.0.18
No-more supporting phpBB
asavage
Registered User
Posts: 32
Joined: Sun Dec 04, 2005 8:50 pm
Location: Duvall, Wash.
Name: Al Savage
Contact:

Post by asavage »

PHPBB 2.0.18. I installed FAQ editor 1.0.0b .

ACP->FAQ Admin->Board FAQ
Tried to "Add Block"
Text = "<font color=red>NOTICE</font>", select "Add Block" button at lower of right pane. OK
Later select "edit" and works OK for new block

But:
* Tried to "Add Block"
Text = "<font color="red">NOTICE</font>", select "Add Block" button at lower of right pane. OK

* Later select "edit" and :

Code: Select all

Parse error: parse error, expecting `')'' in xxxxxxxxxxxxxxx\language\lang_english\lang_faq.php on line 81
Cannot wrap attribute "red" in double-quotes, ie:
<font color=red> = OK
<font color="red"> = NOT OK

Wrapping HTML attributes in double quotes is valid?
Regards,
Al S.
Selven
Registered User
Posts: 291
Joined: Fri Nov 08, 2002 7:28 am

Post by Selven »

it depend on phpbb faq files format have you tried with \" ?
No-more supporting phpBB
Selven
Registered User
Posts: 291
Joined: Fri Nov 08, 2002 7:28 am

Post by Selven »

New version in Dev Topic.
1.0.1 will be the last version of 1.0.x branch.
For who have just faq editor 1.0.0 working no need updates, this release only fix some installation problems and add translations in pack
No-more supporting phpBB
Post Reply

Return to “[2.0.x] MOD Database Cleanup”